Package com.documentum.operations

# Interface IDfCancelCheckoutOperation

All Superinterfaces:
  `IDfOperation`

public interface IDfCancelCheckoutOperation extends IDfOperation
The cancel checkout operation releases the Docbase lock, deletes the local content file, and removes registry entries for each node in the operation. IDfSysobject, IDfVirtualDocument, and IDfVirtualDocumentNode objects may be added to a cancel checkout operation. If a virtual document is added, the entire graph of the virtual document is processed as part of the operation. Any objects added to the cancel checkout operation that have not been checked out, are not processed. No error is returned for non-checked out objects.

- ## Field Summary

  ### Fields inherited from interface com.documentum.operations.IDfOperation

  `GENERATE_RESOURCE_FORK, IGNORE_RESOURCE_FORK, REQUIRE_RESOURCE_FORK, RESOURCE_FORK_UNDEFINED, USE_RESOURCE_FORK_IF_AVAILABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getKeepLocalFile()`
  Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `IDfList`
  `getObjects()`
  Returns the list of unique objects in this operation.
  `void`
  `setKeepLocalFile(boolean keepFile)`
  Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.

  ### Methods inherited from interface com.documentum.operations.IDfOperation

  `abort, add, areDisabledRegistryUpdates, canUndo, disableRegistryUpdates, enablePopulateWithReferences, execute, getContext, getDescription, getErrors, getName, getNodes, getOperationMonitor, getOperationType, getProperties, getRootNodes, getSession, getSteps, isAborted, isEnabledPopulateWithReferences, logError, removeNode, reportError, resetErrors, setOperationMonitor, setSession, succeeded`

- ## Method Details

  - ### getKeepLocalFile

    boolean getKeepLocalFile() throws DfException
    Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Returns:
      true if the local content file should not be deleted as part of the operation.
    Throws:
      `DfException`

  - ### setKeepLocalFile

    void setKeepLocalFile(boolean keepFile) throws DfException
    Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Parameters:
      `keepFile` - pass true for the local content file to not be deleted.
    Throws:
      `DfException`

  - ### getObjects

    IDfList getObjects() throws DfException
    Returns the list of unique objects in this operation. Each IDfList entry will be an IDfSysObject.
    Returns:
      returns the list of unique objects in this operation
    Throws:
      `DfException`